#content:has(.cm_MapData.publicMapData) {
  background: #fff;
}
.container:has(.cm_MapData.publicMapData) {
  max-width: 100%;
}
.cm_MapData {
  position: relative;
  overflow: hidden;
  height: 100%;
}
.cm_MapData .roundPanel {
  padding: 10px;
  background: #fafafc;
  border: 1px solid #dbdde0;
  border-top: none;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  max-height: 40%;
  overflow: visible;
}
.cm_MapData .roundPanel > .flex-row {
  align-items: flex-start;
  margin-bottom: 10px;
  gap: 16px;
}
.cm_MapData .tabControlHolder {
  padding: 10px 0 0 10px;
  position: relative;
  height: calc(100% - 145px);
}
.cm_MapData .flex-mapping {
  display: flex;
  align-items: stretch;
  justify-content: flex-start;
  transform-origin: top left;
}
.cm_MapData .scale-panel {
  display: block;
  align-self: flex-end;
  position: fixed;
  right: 30px;
  bottom: 10px;
  padding: 6px;
  background: #fff;
  box-shadow: 1px 3px 9px 1px rgba(209, 209, 209, 0.66);
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
}
.cm_MapData .scale-panel .flex-row {
  gap: 6px;
}
.cm_MapData .scale-panel .flex-btns {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  gap: 8px;
}
.cm_MapData .scale-panel .flex-btns .plus,
.cm_MapData .scale-panel .flex-btns .minus {
  display: block;
  cursor: pointer;
  padding: 4px;
  text-align: center;
  font-size: 22px;
  font-weight: 100;
  font-family: fantasy;
  line-height: 1;
  width: 25px;
  color: #222;
  text-decoration: none;
  border-radius: 2px;
  transition: all 0.2s;
}
.cm_MapData .scale-panel .flex-btns .plus:hover,
.cm_MapData .scale-panel .flex-btns .minus:hover {
  box-shadow: 1px 3px 9px 1px rgba(209, 209, 209, 0.66);
}
.cm_MapData .scale-panel .scale-range {
  padding: 2px;
  height: 100px;
}
.cm_MapData .scale-panel .scale-range input[type=range] {
  height: 100%;
  width: 4px;
  border-radius: 5px;
  background: #d5dbe1;
  outline: none;
  opacity: 0.7;
  writing-mode: vertical-lr;
  direction: rtl;
  appearance: slider-vertical;
  -webkit-appearance: none;
  -moz-appearance: slider-vertical;
  vertical-align: bottom;
  transition: opacity 0.2s;
}
.cm_MapData .scale-panel .scale-range input[type=range]::-webkit-slider-thumb {
  appearance: none;
  -webkit-appearance: none;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: #000;
  cursor: pointer;
  -webkit-transition: box-shadow 0.3s ease-in-out;
  transition: box-shadow 0.3s ease-in-out;
}
.cm_MapData .scale-panel .scale-range input[type=range]::-webkit-slider-thumb:hover {
  box-shadow: 0 0 0 5px rgba(0, 0, 0, 0.16);
}
.cm_MapData .scale-panel .scale-range input[type=range]::-moz-range-thumb {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: #000;
  cursor: pointer;
}
.cm_MapData .rotate-content.nice-scroll::-webkit-scrollbar {
  width: 12px;
  height: 12px;
  background-color: #f5f5f5;
}
.cm_MapData.publicMapData {
  font-family: "Roboto", helvetica, arial, sans-serif;
  background: #fff;
  padding: 5px;
}
.cm_MapData.publicMapData .btnPublic {
  background: #32528E;
  border-radius: 1px;
  padding: 10px 16px;
  color: #fff !important;
  font-size: 14px;
  line-height: 1;
  cursor: pointer;
  border: 1px solid transparent !important;
}
.cm_MapData.publicMapData .btnPublic:focus, .cm_MapData.publicMapData .btnPublic:focus-visible {
  border-color: #1C335A !important;
  outline: none !important;
}
.cm_MapData.publicMapData .btnPublic:hover {
  background: #284272 !important;
}
.cm_MapData.publicMapData .btnPublic:active {
  background: #233A64 !important;
}
.cm_MapData.publicMapData .btnPublic.btn-disabled {
  background: #CACACA !important;
  color: #808080 !important;
}
.cm_MapData.publicMapData .btnPublic.btn-disabled img {
  filter: invert(52%) sepia(0%) saturate(1227%) hue-rotate(161deg) brightness(96%) contrast(90%);
}
.cm_MapData.publicMapData .SilverCombo {
  border-radius: 3px;
  color: #1C335A;
}
.cm_MapData.publicMapData .SilverCombo .table {
  background: #F5F7F9;
}
.cm_MapData.publicMapData .SilverCombo .silver-textbox {
  position: relative;
  background: transparent;
  padding: 7px 10px;
  min-height: unset;
  height: 30px;
  border-radius: 0;
  border-right: 0;
}
.cm_MapData.publicMapData .SilverCombo .silver-textbox::-moz-placeholder {
  color: #8C8C8C;
}
.cm_MapData.publicMapData .SilverCombo .silver-textbox::placeholder {
  color: #8C8C8C;
}
.cm_MapData.publicMapData .SilverCombo .btn {
  position: relative;
  padding: 10px;
  height: 30px;
  background: transparent;
  border-left: 0 !important;
  border-radius: 0;
}
.cm_MapData.publicMapData .SilverCombo .btn::before {
  content: "";
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  margin: 7px 0;
  width: 1px;
  height: calc(100% - 14px);
  background: #1C335A;
}
.cm_MapData.publicMapData .SilverCombo:has(.holder) .silver-textbox, .cm_MapData.publicMapData .SilverCombo:has(.holder) .btn {
  border-bottom: 1px solid transparent !important;
}
.cm_MapData.publicMapData .SilverCombo .holder {
  background: #F5F7F9;
  border: 0;
  box-shadow: none;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
}
.cm_MapData.publicMapData .SilverCombo .holder .table-combo-header {
  display: none;
}
.cm_MapData.publicMapData .SilverCombo .holder .table-combo {
  padding: 10px;
}
.cm_MapData.publicMapData .SilverCombo .holder .table-combo > tbody > tr:hover > td {
  background: #E2E6ED;
}
.cm_MapData.publicMapData .SilverCombo .holder .table-combo > tbody > tr > td {
  border: 0;
  padding: 8px;
  color: #1C335A;
}
.cm_MapData.publicMapData .silver-radio > .radio-row {
  display: block;
  position: relative;
  padding: 10px;
  margin: 5px 0;
}
.cm_MapData.publicMapData .silver-radio > .radio-row > span {
  display: block;
  position: relative;
  color: #1C335A;
}
.cm_MapData.publicMapData .silver-radio > .radio-row:has(input:checked + label) span {
  color: #fff;
}
.cm_MapData.publicMapData .silver-radio > .radio-row > input + label {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 36px;
  background: #fff;
}
.cm_MapData.publicMapData .silver-radio > .radio-row > input:checked + label {
  background: #32528E;
}
.cm_MapData.publicMapData .silver-radio > .radio-row > input:checked + label::after {
  content: "";
  display: block;
  position: absolute;
  top: 12px;
  right: 10px;
  width: 14px;
  height: 11px;
  background: url(/imgs/vectors/checked-arrow-white.svg) 0 0 no-repeat;
}
.cm_MapData.publicMapData .mapTitle {
  display: block;
  font-size: 30px;
  font-weight: 400;
  line-height: 1;
  color: #1C335A;
  padding-bottom: 20px;
  margin-bottom: 25px;
  border-bottom: 0.5px solid rgba(50, 82, 142, 0.5);
}
.cm_MapData.publicMapData .roundPanel {
  background: transparent;
  border: 0 !important;
  border-bottom: 0.5px solid rgba(50, 82, 142, 0.5) !important;
  border-radius: 0;
  padding: 0 0 25px;
  margin-bottom: 25px;
}
.cm_MapData.publicMapData .roundPanel .silver-control .error-message {
  position: absolute;
}
.cm_MapData.publicMapData .roundPanel > .flex-row {
  align-items: flex-end;
  margin-bottom: 0;
}
.cm_MapData.publicMapData .roundPanel label {
  display: block;
  color: #8C8C8C;
  font-size: 13px;
  font-weight: 400;
  line-height: 1;
  margin-bottom: 7px;
}
.cm_MapData.publicMapData .roundPanel .silver-checkbox {
  display: flex;
  align-items: center;
}
.cm_MapData.publicMapData .roundPanel .silver-checkbox.checkbox-label label.imposter + span {
  font-size: 14px;
  color: #1C335A;
}
.cm_MapData.publicMapData .roundPanel .silver-checkbox label {
  margin: 0;
}
.cm_MapData.publicMapData .roundPanel .silver-checkbox label::before {
  content: "";
  background-image: none;
  display: inline-block;
  width: 23px;
  height: 23px;
  border: 1px solid #5097F4;
  border-radius: 5px;
  cursor: pointer;
  top: 0;
}
.cm_MapData.publicMapData .roundPanel .silver-checkbox input:checked + label::before {
  background: url(/imgs/vectors/checked-arrow-white.svg) center/auto no-repeat;
  background-color: #5097F4;
}
.cm_MapData.publicMapData .tabControlHolder {
  padding: 0;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder {
  position: relative;
  align-items: flex-start;
  height: 100%;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .rotate-menu .scale .strip {
  background: #32528E;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .rotate-menu > ul > li {
  padding: 15px;
  background: #F5F7F9;
  font-size: 16px;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .scale-panel {
  position: absolute;
  right: 10px;
  bottom: 10px;
  z-index: 1;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .scale-panel input::-webkit-slider-thumb {
  background-color: #32528E;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .scale-panel input::-moz-range-thumb {
  background-color: #32528E;
  border: none;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock {
  display: flex;
  flex-direction: column;
  padding: 20px;
  align-items: flex-start;
  background: #F5F7F9;
  color: #1C335A;
  width: 100%;
  max-width: 300px;
  flex: 0 0 auto;
  position: absolute;
  right: 0;
  top: 70px;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock > div {
  width: 100%;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .flex-loadTitle {
  gap: 20px;
  justify-content: space-between;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .flex-loadTitle title {
  display: block;
  font-size: 16px;
  font-weight: 400;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .flex-loadTitle .caret {
  display: block;
  flex: 0 0 auto;
  width: 20px;
  height: 4px;
  padding: 10px;
  margin: 0;
  border: 0;
  background: url(/imgs/vectors/arrow.svg) center/14px 7px no-repeat;
  cursor: pointer;
  transform: rotate(-180deg);
  transition: transform 0.3s ease;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .flex-loadTitle .caret--collapsed {
  transform: rotate(0deg);
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .accordion-body {
  overflow: hidden;
  max-height: 1000px;
  padding-top: 20px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
  transition: max-height 0.4s ease, padding-top 0.4s ease;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .accordion-body > div {
  width: 100%;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock label {
  color: #8C8C8C;
  font-size: 13px;
  font-weight: 400;
  line-height: 1;
  margin-bottom: 7px;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .SilverCombo table {
  background: #fff;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .flex-row.flexDiagramSize {
  position: relative;
  gap: 20px;
  align-items: flex-start;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .flex-row.flexDiagramSize > div {
  position: relative;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .flex-row.flexDiagramSize > div span {
  position: absolute;
  display: block;
  z-index: 1;
  top: 5px;
  left: 10px;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock .flex-row.flexDiagramSize > div .silver-spin .silver-textbox {
  font-size: 14px;
  color: #1C335A;
  padding: 7px 10px 7px 34px;
  min-height: 30px;
}
.cm_MapData.publicMapData .program-rotate.flex-tabHolder .rotate-content {
  width: calc(100% - 320px);
  height: calc(60svh - 200px) !important;
  padding: 0;
  margin-top: 20px;
}
.cm_MapData.publicMapData .nice-scroll::-webkit-scrollbar-thumb {
  background: #32528E;
  background-image: none;
}
.cm_MapData.publicMapData .mobile-only {
  display: none !important;
}
@media (max-width: 992px) {
  .cm_MapData.publicMapData {
    overflow: auto;
  }
  .cm_MapData.publicMapData .roundPanel > .flex-row {
    flex-wrap: wrap;
    gap: 30px 20px;
  }
  .cm_MapData.publicMapData .roundPanel > .flex-row .btnPublic {
    margin: 0;
  }
  .cm_MapData.publicMapData .flex-tabHolder {
    flex-direction: column-reverse;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder {
    display: flex;
    flex-direction: column;
    gap: 25px;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock {
    position: relative;
    top: unset;
    right: unset;
    order: 2;
    max-width: 100%;
    margin-bottom: 58px;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock > div:has(.silver-control) {
    max-width: 260px;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .loadDiagramBlock > div:has(.silver-radio) {
    max-width: 100%;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .rotate-content {
    width: 100%;
    order: 3;
    padding: 0;
    margin: 0;
    min-height: 800px !important;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .scale-panel {
    right: 10px;
    bottom: 10px;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder:has(.tab.active.tabGrid) .loadDiagramBlock {
    height: 0;
    padding: 0;
    margin-bottom: 38px;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder:has(.tab.active.tabGrid) .loadDiagramBlock .flex-loadTitle {
    display: none;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder:has(.tab.active.tabGrid) .loadDiagramBlock .btnPublic {
    bottom: unset;
    top: 0;
  }
  .cm_MapData.publicMapData .tabControlHolder {
    height: 100%;
  }
  .cm_MapData.publicMapData .loadDiagramBlock .btnPublic {
    position: absolute;
    left: 0;
    bottom: -58px;
    width: 260px;
  }
  .cm_MapData.publicMapData .loadDiagramBlock .btnPublic > img + span {
    display: initial;
  }
  .cm_MapData.publicMapData .btnPublic > img + span {
    display: initial;
  }
  .cm_MapData.publicMapData .loadDiagramBlock .silver-radio {
    display: flex;
    gap: 10px 20px;
  }
  .cm_MapData.publicMapData .silver-radio > .radio-row {
    width: 100%;
    margin: 0;
  }
  .cm_MapData.publicMapData .mobile-only {
    display: initial !important;
  }
}
@media (max-width: 720px) {
  .cm_MapData.publicMapData .loadDiagramBlock .silver-radio {
    flex-wrap: wrap;
  }
}
@media (max-width: 530px) {
  .cm_MapData.publicMapData .loadDiagramBlock .btnPublic {
    width: 100%;
  }
  .cm_MapData.publicMapData .rotate-menu {
    width: 100% !important;
    height: 54px;
    flex: 0 0 auto;
    overflow-x: auto;
  }
  .cm_MapData.publicMapData .roundPanel > .flex-row {
    gap: 20px;
  }
  .cm_MapData.publicMapData .roundPanel > .flex-row > div,
  .cm_MapData.publicMapData .roundPanel > .flex-row .SilverCombo,
  .cm_MapData.publicMapData .roundPanel > .flex-row .btnPublic {
    width: 100% !important;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .rotate-menu > ul > li {
    width: 115px;
    font-size: 14px;
  }
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .rotate-menu .scale .strip {
    width: 115px !important;
  }
}
@media (min-height: 600px) {
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .rotate-content {
    height: calc(78svh - 200px) !important;
  }
}
@media (min-height: 800px) {
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .rotate-content {
    height: calc(85svh - 200px) !important;
  }
}
@media (min-height: 1000px) {
  .cm_MapData.publicMapData .program-rotate.flex-tabHolder .rotate-content {
    height: calc(88svh - 200px) !important;
  }
}





    .d3js_HorizontalBarChart,
    .d3js_VerticalBarChart,
    .d3js_PieChart {
        position: relative;
        background: #fff;
        svg {
            overflow: visible;
        }
        .download_diagram {
            position: relative;
            width: fit-content;
            margin-top: 5px;
            margin-left: 10px;
        }
    }
